Package com.explodingpixels.data

## Enum Rating

- java.lang.Object
- - java.lang.Enum<Rating>
  - - com.explodingpixels.data.Rating

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Rating>`

    public enum Rating
    extends java.lang.Enum<Rating>

### Enum Constant Summary

Enum Constants
`FIVE_STARS`
`FOUR_STARS`
`NO_RATING`
`ONE_STAR`
`THREE_STARS`
`TWO_STARS`

### Method Summary

All Methods Static Methods Concrete Methods
`static Rating` `getRating​(int ratingInteger)`
`static Rating` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Rating[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NO_RATING

    public static final Rating NO_RATING

#### ONE_STAR

    public static final Rating ONE_STAR

#### TWO_STARS

    public static final Rating TWO_STARS

#### THREE_STARS

    public static final Rating THREE_STARS

#### FOUR_STARS

    public static final Rating FOUR_STARS

#### FIVE_STARS

    public static final Rating FIVE_STARS

### Method Detail

#### values

    public static Rating[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Rating c : Rating.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Rating valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getRating

    public static Rating getRating​(int ratingInteger)